## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Tests now require a docker-based proxy.
%bcond_with     tests

%global         srcname     azure-mgmt-sql

Name:           python-%{srcname}
Version:        4.0.0~b2
%global         pypi_version    4.0.0b2
Release:        %autorelease
Summary:        Microsoft Azure SQL Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{pypi_version} zip}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python-azure-sdk-tools
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure SQL Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{pypi_version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Tue Jul 05 2022 Major Hayden <major@redhat.com> 1:4.0.0~b2-1
- Update to 4.0.0b2

* Wed Jun 22 2022 Major Hayden <major@redhat.com> 1:4.0.0~b1-4
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> 1:4.0.0~b1-3
- Rebuilt for Python 3.11

* Fri Apr 29 2022 Major Hayden <major@mhtx.net> 1:4.0.0~b1-2
- Disable tests in EPEL 9

* Thu Apr 07 2022 Major Hayden <major@mhtx.net> 1:4.0.0~b1-1
- Update to 4.0.0b1

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:3.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1:3.0.1-2
- Move obsoletes into subpackage

* Mon Aug 09 2021 Major Hayden <major@mhtx.net> 1:3.0.1-1
- Update to 3.0.1

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> 1:0.29.1-3
- Update docs file list

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:0.29.1-2
- Add epoch number for 0.29.1 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 1:0.29.1-1
- Downgrade to 0.29.1

* Tue Jul 20 2021 Major Hayden <major@mhtx.net> 3.0.1-1
- Update to 3.0.1

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> 2.1.0-1
- Intial import (#1971860)
